> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Plaid Credentials

> Sets Plaid credentials to be used with your Layer account.

### Body

<ParamField body="client_id" required="true" type="string">
  Plaid ID, visible on [https://dashboard.plaid.com/developers/keys](https://dashboard.plaid.com/developers/keys)
</ParamField>

<ParamField body="secret" required="true" type="string">
  Plaid secret.
</ParamField>

<ParamField body="plaid_env_url_override" required="true" type="string">
  Plaid environment to use- either SANDBOX (which corresponds to [https://sandbox.plaid.com](https://sandbox.plaid.com)) or PRODUCTION (which corresponds to [https://production.plaid.com](https://production.plaid.com)).
  If not specified, defaults to PRODUCTION.
</ParamField>

### Response

Returns the created [Plaid Configuration Object](/api-reference/plaid/plaid)

<RequestExample>
  ```bash Request theme={null}
  curl -X PUT https://sandbox.layerfi.com/v1/configure/plaid \
    -H "Authorization: Bearer <access_token>" \
    -H "Content-Type: application/json" \
    -d '{
      "client_id":"CLIENT_ID",
      "secret":"CLIENT_SECRET",
      "plaid_env_url_override": "SANDBOX"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data":{
      "type":"Plaid_Configuration",
      "client_id":"6488fafd7a73ae00122004d6",
      "secret_last_4":"acae",
      "plaid_env_url_override": "SANDBOX"
    }
  }
  ```
</ResponseExample>
